<?php
require('fpdf.php');

class PDF extends FPDF
{
//Cabecera de página
function Header()
{
    //Logo
    $this->Image('../images/logito.jpg',10,8,33);
    //Arial bold 10
    $this->SetFont('Arial','B',15);
    //Movernos a la derecha
    $this->Cell(80);
    //Título1
    $this->Cell(-50,10,' ');
    $this->Cell(1,20,'   LUXURY FLOORING INC.');
	$this->Cell(1,30,'  1807 Prospect Avenue Hermosa Beach , CA. 90254');
	$this->Cell(1,40,' Office: 310-387-1095 Fax: 310-943-0364');
	$this->Cell(1,50,' www.luxflooring.com email:  info@luxflooring.com');   
	$this->Cell(1,60,'California License # 894518');
	
    //Salto de línea
    $this->Ln(50);
}

//Pie de página
function Footer()
{
    //Posición: a 1,5 cm del final
    $this->SetY(-15);
    //Arial italic 8
    $this->SetFont('Arial','I',8);
    //Número de página
    $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
}

function ChapterTitle($num,$label)
{
    //Arial 12
    $this->SetFont('Arial','',12);
    //Color de fondo
    $this->SetFillColor(200,220,255);
    //Título
    $this->Cell(0,6,"$label",0,0,'L',0);
    //Salto de línea
    $this->Ln(4);
}

function ChapterBody($file)
{
    //Leemos el fichero
    $f=fopen($file,'r');
    $txt=fread($f,filesize($file));
    fclose($f);
    //Times 12
    $this->SetFont('Times','',12);
    //Imprimimos el texto justificado
    $this->MultiCell(0,5,$txt);
    //Salto de línea
    $this->Ln();
}

function PrintChapter($num,$title,$file)
{
    $this->AddPage();
    $this->ChapterTitle($num,$title);
    $this->ChapterBody($file);
}

}

//Creación del objeto de la clase heredada

include('../includes/conexion_project.inc.php'); 
Conectarse();

$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->SetFont('Times','',12);
$pdf->AddPage();

$nombre      ='Juan Luis de Leon Alfaro';
$direccion   ='9na Calle 11-45 zona 7 col 5ta Samayoa';
$descripcion ='Descripcion del proyecto';
$material    ='Materiales';
$total       ='12,500.65';
$DOWN_PAYMENT ='1,500.00';

$pdf->Cell(0,0,'CONSTRUCTION CONTRACT',0,0,'C');
$pdf->Ln();
$pdf->Cell(0,10,'(Flooring and Floor Covering)',0,0,'C');
$pdf->Ln();
$txt='This construction Contract entered by and between Luxury Flooring Inc. and ';
$pdf->Write(5,$txt);
$pdf->SetFont('','BU');
$pdf->Write(5,$nombre); 
$pdf->SetFont('','B');
$txt=' "You are entitled to a completely filled in copy of this agreement, signed by both you and the contractor, before any work may be started."';
$pdf->Write(5,$txt); 
$pdf->Ln();
$pdf->Ln();
$pdf->SetFont('Times','',12);

$header=array('#','Quantity',' Description','Price ');
$pdf->SetFillColor(200,220,255);
$w=array(10,25,120,40);
    for($i=0;$i<count($header);$i++)
        $pdf->Cell($w[$i],7,$header[$i],1,0,'C',1);
		$pdf->Ln();
		
   $where = " 1 = 1 ";
   $where .=" and id_project=".$_REQUEST["id_project"]." ";
			$consulta = "SELECT id_detalle as No, cantidad as Quantity, descripcion as Description,format(precio,2) as Price FROM detalle_project WHERE ". $where ." order by id_detalle";
			$result=mysql_query($consulta);
			$numfields = mysql_num_fields($result);
		
			while ($row = mysql_fetch_row($result)){ 
				$pdf->Cell($w[0],7,$row[0],1,0,'L');
				$pdf->Cell($w[1],7,$row[1],1,0,'R');
				$pdf->Cell($w[2],7,$row[2],1,0,'L');
				$pdf->Cell($w[3],7,$row[3],1,0,'R');
				$pdf->Ln();
			}
$pdf->Ln();   
$txt='Luxury Flooring Inc. will furnish all labor, materials, equipment, supervision, and contract administration to complete in a good and workmanlike manner the following:  Alterations to home of Owner, '.$nombre.' located at '.$direccion.' (the "Project"), Contractor\'s scope of work under this Contract does not include any of the following items: '.$descripcion.' The materials and equipment to be used in the construction of the Project are '. $material;
$pdf->MultiCell(0,5,$txt); 

$pdf->AddPage();

$pdf->SetFont('','B','14');
$pdf->Write(5,'THE CONTRACT PRICE'); 
$pdf->Ln();
$pdf->SetFont('Times','B',12);
$txt='Owner shall pay the Contractor the fixed sum of $ '.$total.' (the "Contract Price") for the work to be performed under this Contract, subject to additions and deductions pursuant to change orders agreed upon in writing by the parties, and subject to "allowances" as provided in this Paragraph 3.';
$pdf->MultiCell(0,5,$txt); 
$pdf->Ln();
$txt='The Contract Price can include specific dollar amounts that are set aside for certain materials, finishes, fixtures, and other items that have not been selected or decided upon By the Owner. These allowances from the Contractor include all overhead and profit, plus all applicable sales taxes. If the final cost of any item covered by the allowance is more or less than the dollar amount listed, the Contract Price will be increased or decreased by a written change order from the Contractor.';
$pdf->SetFont('Times','I',12);
$pdf->MultiCell(0,5,$txt); 
$pdf->Ln();
$pdf->SetFont('','BI','14');
$pdf->Write(5,'DOWN PAYMENT'); 
$pdf->Ln();
$pdf->SetFont('','BIU','14');
$pdf->Write(5,'$ '.$DOWN_AYMENT); 




$pdf->PrintChapter(1,' ','contrato.txt');

$pdf->Output();
?> 