<?php
define('FPDF_FONTPATH','font/');
require('mc_table.php');

class PDF extends FPDF
{
//Cabecera de página
function Header()
{
    //Logo
    $this->Image('../images/logopdf.jpg',93,8,15);
	$this->Image('../images/hoja.jpg',125,26,5);
    //Arial bold 10
    $this->SetFont('Arial','B',11);
    //Movernos a la derecha
    $this->Cell(35);
    //Título1
    $this->Cell(3,40,' ');
	$this->SetTextColor(51,102,255); 
    $this->Cell(1,40,'                          LUXURY FLOORING INC.');
	$this->SetTextColor(0,0,0); 
	$this->Cell(1,50,'  1807 Prospect Avenue Hermosa Beach , CA. 90254');
	$this->Cell(1,60,'           Office: 310-387-1095 Fax: 310-943-0364');
	$this->Cell(1,70,'  www.luxflooring.com email:  info@luxflooring.com');   
	$this->Cell(1,80,'                    California License # 894518');

	
    //Salto de línea
    $this->Ln(50);
}

//Pie de página
function Footer()
{
    //Posición: a 1,5 cm del final
    $this->SetY(-15);
    //Arial italic 8
    $this->SetFont('Arial','I',8);
    //Número de página
    $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
}

function ChapterTitle($num,$label)
{
    //Arial 12
    $this->SetFont('Arial','',12);
    //Color de fondo
    $this->SetFillColor(200,220,255);
    //Título
    $this->Cell(0,6,"$label",0,0,'L',0);
    //Salto de línea
    $this->Ln(4);
}

function ChapterBody($file)
{
    //Leemos el fichero
    $f=fopen($file,'r');
    $txt=fread($f,filesize($file));
    fclose($f);
    //Times 12
    $this->SetFont('Times','',12);
    //Imprimimos el texto justificado
    $this->MultiCell(0,5,$txt);
    //Salto de línea
    $this->Ln();
}

function PrintChapter($num,$title,$file)
{ 
    $this->ChapterTitle($num,$title);
    $this->ChapterBody($file);
}

}

//Creación del objeto de la clase heredada

include('../includes/conexion_project.inc.php'); 
Conectarse();

//$pdf=new PDF('P','mm','Letter');
$pdf=new PDF_MC_Table('P','mm','Letter');
$pdf->AliasNbPages();
$pdf->SetFont('Times','',10);
$pdf->AddPage();

			$consulta = "SELECT a.id_project as id,a.id_cliente as Cliente,a.nombre as 'Name Project', DATE_FORMAT(a.fecha_creacion, '%m/%d/%Y') as Date, a.estado as 'State', a.total as Total, b.nombres as 'Name', b.apellidos as 'Last Name',a.saldo as Balance, a.pagos as Deposit, b.adress, b.city, b.state, b.zipcode, b.homephone, b.mobile, b.fax FROM project a, cliente b WHERE a.id_cliente = b.id_cliente and a.id_project = ".$_REQUEST['id_project']."";			
			$result=mysql_query($consulta);

			$row = mysql_fetch_row($result);

$nombre      =$row[6].' '.$row[7];
$proj = $row[0];
$direccion   = $row[10];
$descripcion =$row[2];
$material    ='Materiales';
$saldo = $row[8];
$pagos = $row[9];
$total =$row[5];
$fecha = $row[3];
$id = $row[0];
$city=$row[11];
$state=$row[12];
$zipcode=$row[13];
$homephone=$row[14];
$mobile=$row[15];
$fax=$row[16];
$DOWN_PAYMENT ='1,500.00';


$pdf->SetFillColor(255,255,255);
$pdf->SetTextColor(51,102,255); 
$pdf->Cell(20,7,'Customer:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(70,7,$nombre,0,0,'L',1);
$pdf->SetTextColor(51,102,255); 
$pdf->Cell(12,7,'Date:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(45,7,$fecha,0,0,'L',1);
$pdf->SetTextColor(51,102,255); 
$pdf->Cell(15,7,'Project #:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(30,7,$id,0,0,'L',1);

$pdf->Ln();

$pdf->SetTextColor(51,102,255); 
$pdf->Cell(20,7,'Adress:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(127,7,$direccion,0,0,'L',1);

$pdf->SetTextColor(51,102,255); 
$pdf->Cell(13,7,'City:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(32,7,$city,0,0,'L',1);

$pdf->Ln();	

$pdf->SetTextColor(51,102,255); 
$pdf->Cell(20,7,'State:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(70,7,$state,0,0,'L',1);

$pdf->SetTextColor(51,102,255); 
$pdf->Cell(18,7,'Zip Code:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(30,7,$zipcode,0,0,'L',1);
$pdf->Ln();	

$pdf->SetFillColor(255,255,255);
$pdf->SetTextColor(51,102,255); 
$pdf->Cell(20,7,'Home Phone:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(70,7,$homephone,0,0,'L',1);
$pdf->SetTextColor(51,102,255); 
$pdf->Cell(12,7,'Mobile:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(45,7,$mobile,0,0,'L',1);
$pdf->SetTextColor(51,102,255); 
$pdf->Cell(12,7,'Fax:',0,0,'L',1);
$pdf->SetTextColor(0,0,0); 
$pdf->Cell(20,7,$fax,0,0,'L',1);
$pdf->Ln();
$pdf->Ln();
$pdf->SetFont('','BI',14);
$txt='QTY. Description Amount Project Estimate';
$pdf->Write(5,$txt);
$pdf->Ln();
$pdf->SetFont('Times','',11);

//$header=array('Quantity',' Description','Price ');
$pdf->SetFillColor(200,250,215);
$w=array(25,120,40);
 //   for($i=0;$i<count($header);$i++)
  //      $pdf->Cell($w[$i],7,$header[$i],1,0,'C',1);
		
		$pdf->SetWidths(array(25,120,40));
   $where = " 1 = 1 ";
   $where .=" and id_project=".$_REQUEST["id_project"]." ";
   //$where .=" and estado=1 ";
			$consulta = "SELECT cantidad as Quantity, descripcion as Description,format(precio,2) as Price FROM detalle_project WHERE ". $where ." order by id_detalle";
			$result=mysql_query($consulta);
			$numfields = mysql_num_fields($result);

			while ($row = mysql_fetch_row($result)){ 
				$pdf->Row(array($row[0],$row[1],$row[2]));
				//$pdf->Cell($w[0],7,$row[0],1,0,'R');
				//$pdf->Cell($w[1],7,$row[1],1,0,'L');
				//$pdf->Cell($w[2],7,$row[2],1,0,'R');
				//$pdf->Ln();
			}
				$pdf->SetFont('Times','',8);
				$pdf->Cell($w[0],5,$row[0],'LR',0,'R');
				$pdf->Cell($w[1],5,'Note: We will start your project on ________  , we would start  between 9am  and  9:30am','LR',0,'L');
				$pdf->Cell($w[2],5,$row[2],'LR',0,'R');
				$pdf->Ln();
				$pdf->Cell($w[0],5,$row[0],'LR',0,'R');
				$pdf->Cell($w[1],5,'Project will take about 5 to 7  days. 10% or $1,000.00 which ever is less is due when job','LR',0,'L');
				$pdf->Cell($w[2],5,$row[2],'LR',0,'R');
				$pdf->Ln();
				$pdf->Cell($w[0],5,$row[0],'LRB',0,'R');
				$pdf->Cell($w[1],5,'starts, then payments are required when each face is finished.','LRB',0,'L');
				$pdf->Cell($w[2],5,$row[2],'LRB',0,'R');
$pdf->SetFont('Arial','',10);
$pdf->Ln();

$pdf->Cell(30,10,'Sub-Total',1,0,'L');
$pdf->Cell(30,10,' $',1,0,'L');
$pdf->Ln();

$pdf->Cell(30,10,'Total',1,0,'L');
$pdf->Cell(30,10,' $',1,0,'L');
$pdf->Ln();

$pdf->Cell(30,10,'Deposit',1,0,'L');
$pdf->Cell(30,10,' $',1,0,'L');
$pdf->Ln();

$pdf->Cell(30,10,'Balance',1,0,'L');
$pdf->Cell(30,10,' $',1,0,'L');
$pdf->Ln();

$pdf->SetFont('Times','',12);
$pdf->Ln();
$pdf->Ln();
$pdf->Cell(0,5,'Estimate Cost & Acceptance');
$pdf->Ln();
$pdf->Cell(0,5,'Customer Acceptance / Authorization:');
$pdf->Ln();
$pdf->Cell(0,5,'I agree to have LUXURY FLOORING INC. perform the work as describe above.');
$pdf->Ln();
$pdf->MultiCell(0,5,'Furthermore, I understand that this is only an estimate and in most cases will not reflect the actual cost involved in completing this project.');
$pdf->Ln();
$pdf->Ln();
$pdf->Ln();
$pdf->Ln();
$pdf->Ln();
$pdf->Ln();
$pdf->SetFont('Arial','B','10');
$pdf->Write(5,'Customer Signature:  ___________________________________    '); 
$pdf->Ln();
$pdf->Ln();
$pdf->SetFont('Arial','B','15');
$pdf->Cell(0,5,'Thank You!','','','C');
$pdf->Ln();
$pdf->SetFont('Arial','','10');
$pdf->MultiCell(0,5,'Note: the above estimate is based solely upon the project description and initial inspection of the project work site. Estimate could change upon discovery of the need for additional work and materials once the project has started. Any alterations or deviation from the above specifications involving extra cost will be executed only upon written consent by customer and will become an extra charge over above the estimate. All agreements, contingent upon strikes, accidents, or delays are beyond our control.');
$pdf->Image('../images/tarjetas.jpg','','',25);

$pdf->SetFont('Times','B',12);

$pdf->Output();
?> 