<?php
require('fpdf.php');

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;

function PDF($orientation='P',$unit='mm',$format='A4')
{
    //Llama al constructor de la clase padre
    $this->FPDF($orientation,$unit,$format);
    //Iniciacin de variables
    $this->B=0;
    $this->I=0;
    $this->U=0;
    $this->HREF='';
}

function WriteHTML($html)
{
    //Intrprete de HTML
    $html=str_replace("\n",' ',$html);
    $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
    foreach($a as $i=>$e)
    {
        if($i%2==0)
        {
            //Text
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
                $this->Write(5,$e);
        }
        else
        {
            //Etiqueta
            if($e{0}=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else
            {
                //Extraer atributos
                $a2=explode(' ',$e);
                $tag=strtoupper(array_shift($a2));
                $attr=array();
                foreach($a2 as $v)
                    if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                        $attr[strtoupper($a3[1])]=$a3[2];
                $this->OpenTag($tag,$attr);
            }
        }
    }
}

function OpenTag($tag,$attr)
{
    //Etiqueta de apertura
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,true);
    if($tag=='A')
        $this->HREF=$attr['HREF'];
    if($tag=='BR')
        $this->Ln(5);
}

function CloseTag($tag)
{
    //Etiqueta de cierre
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,false);
    if($tag=='A')
        $this->HREF='';
}

function SetStyle($tag,$enable)
{
    //Modificar estilo y escoger la fuente correspondiente
    $this->$tag+=($enable ? 1 : -1);
    $style='';
    foreach(array('B','I','U') as $s)
        if($this->$s>0)
            $style.=$s;
    $this->SetFont('Times',$style);
}

function PutLink($URL,$txt)
{
    //Escribir un hiper-enlace
    $this->SetTextColor(0,0,255);
    $this->SetStyle('U',true);
    $this->Write(5,$txt,$URL);
    $this->SetStyle('U',false);
    $this->SetTextColor(0);
}
}

$html='<table border="1">
  <tr>
    <td >No </td>
    <td >Quantity </td>
    <td >Description </td>
    <td >Price </td>
    <td >Estado </td>
  </tr>
  <tr>
    <td >1 </td>
    <td >25 </td>
    <td>Primera linea del presupuesto, como estas </td>
    <td >7825.6 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >2 </td>
    <td >3 </td>
    <td>tres </td>
    <td >5285.25 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >3 </td>
    <td >45 </td>
    <td>cuarenta y cinco d </td>
    <td >3258.1 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >4 </td>
    <td >8 </td>
    <td>dfdkjfo </td>
    <td >90 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >5 </td>
    <td >5 </td>
    <td>cinco dkje </td>
    <td >4555.36 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >6 </td>
    <td >5 </td>
    <td>dfd </td>
    <td >2528 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >7 </td>
    <td >5 </td>
    <td >45 </td>
    <td >12645 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >8 </td>
    <td >25 </td>
    <td>veinticino </td>
    <td >4552.25 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >9 </td>
    <td >8 </td>
    <td>dfdkjfo </td>
    <td >1090 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >10 </td>
    <td >5 </td>
    <td>cinco dkje </td>
    <td >50000.4 </td>
    <td>Activo </td>
  </tr>
  <tr>
    <td >11 </td>
    <td >45 </td>
    <td>cuarenta y cinco d </td>
    <td >3258.1 </td>
    <td>Activo </td>
  </tr>
  <tr>
    <td >12 </td>
    <td >5 </td>
    <td >45 </td>
    <td >12645 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >13 </td>
    <td >5 </td>
    <td>Cambie el dato de 12645 </td>
    <td >12645 </td>
    <td>Inactivo </td>
  </tr>
  <tr>
    <td >14 </td>
    <td >5 </td>
    <td>Cambie el dato de 12645 jfdoa joi euiro eojd oi ueroim dlk jfioe jerfo ieurowekjr oie rureoi ruoiwe jrlke roieu rlkej roke rioej oieurioe rklejr oiewu oiejfioe rokmfoie fjfoie ufemfoij eoifjeiowj fmeiojfoieu roejfoiew jfoiej fe erererer </td>
    <td >12645 </td>
    <td>Activo </td>
  </tr>
</table>';

$pdf=new PDF();
//Segunda pgina
$pdf->AddPage();
//$pdf->Image('logo.png',10,10,30,0,'','http://www.fpdf.org');
$pdf->SetLeftMargin(14);
$pdf->SetFontSize(14);
$pdf->WriteHTML($html);
$pdf->Output();
?>  
